package com.fjhx.service.water;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.water.WaterTransfer;
import com.fjhx.params.water.WaterTransferVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 转仓 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-28
 */
public interface WaterTransferService extends StorageBaseService<WaterTransfer> {

    void add(List<WaterTransferVo> waterTransferVoList);

    List<Map<String, Object>> toBeReviewedList();

    Map<String, Object> details(Long id);

    void delete(Long id);

    void submit(WaterTransferVo waterTransferVo);

    Map<String, Object> statistics(Condition condition);

    Page<Map<String, Object>> getPage(Condition condition);

}
